%define rel 3
%global namedreltag b001
%global namedversion %{version}-%{?namedreltag}
Name:          glassfish-management-api
Version:       3.1.0
Release:       %mkrel 0.%{rel}.%{?namedreltag}
Summary:       GlassFish Common APIs
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://kenai.com/projects/gmbal
# hg clone -r VERSION-3.1.0-b001 http://kenai.com/hg/gmbal~gf_common/ glassfish-management-api-3.1.0-b001
# tar czf glassfish-management-api-3.1.0-b001-src-hg.tar.gz glassfish-management-api-3.1.0-b001
Source0:       glassfish-management-api-%{namedversion}-src-hg.tar.gz
Source1:       http://repo1.maven.org/maven2/org/glassfish/external/management-api/%{namedversion}/management-api-%{namedversion}.pom
Source2:       glassfish-management-api-3.1.0-b001-build.xml

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: aqute-bnd

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX 
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n glassfish-management-api-%{namedversion}

cp -p %SOURCE2 build.xml
sed -i "s|-include bnd.properties||" make/management-api.bnd
rm -f lib/*.jar

%build

%ant osgi javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/bundles/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-0.3.b001.mga3
+ Revision: 351754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 boklm <boklm> 3.1.0-0.2.b001.mga3
+ Revision: 344003
- Add rel macro so that youri updater can bump release

* Sat Feb 11 2012 gil <gil> 3.1.0-0.1.b001.mga2
+ Revision: 207123
- imported package glassfish-management-api

